## speexdec

speexdec

## Properties

gboolean | enh | Read / Write

## Types and Values

struct | GstSpeexDec

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GstObject
                ╰── GstElement
                    ╰── GstAudioDecoder
                        ╰── GstSpeexDec

## Description

## Synopsis

### Element Information

plugin | speex
author | Wim Taymans <wim@fluendo.com>
class | Codec/Decoder/Audio

### Element Pads

name | sink
direction | sink
presence | always
details | audio/x-speex

name | src
direction | source
presence | always
details | audio/x-raw, format=(string)S16LE, layout=(string)interleaved, rate=(int)[ 6000, 48000 ], channels=(int)[ 1, 2 ]

## Functions

## Types and Values

### struct GstSpeexDec

    struct GstSpeexDec;

## Property Details

### The `“enh”` property

      “enh”                      gboolean

Enable perceptual enhancement.

Flags: Read / Write

Default value: TRUE